Manuel PHP
Précédent | Chapitre 2. Installation | Suivant

# Liste complète des options de configuration

Cette section rassemble la liste complète des options de configuration supportées par PHP 3 et PHP 4, à utiliser avec le fichier `configure`, lors de la configuration sous Unix. Certaines options sont disponibles sous PHP 3, d'autres sous PHP 4 et certains sous PHP 3 et PHP 4, comme inidiqué. Il y a de nombreuses options dont le nom a changé entre PHP 3 et PHP 4. Ces options ont des liens entre elles : si vous vous souvenez d'un nom d'option en PHP 3, regardez si le nom a changé.

- Base de données

- E-commerce

- Images

- Divers

- Réseau

- Comportement PHP

- Serveur

- Texte et langue

- XML

## Base de données

`--with-adabas[=DIR]`

  PHP 3, PHP 4: Inclut le support Adabas D. DIR est le dossier d'installation de Adabas (par défaut, `/usr/local`).

  Adabas home page

`--enable-dba=shared`

  PHP 3: Option non disponible en PHP 3

  PHP 4: Compile DBA comme module partagé

`--enable-dbx`

  PHP 3: Option non disponible en PHP 3

  PHP 4: Inclut le support DBX.

`--enable-dbase`

  PHP 3: Option non disponible; utilisez plutôt --with-dbase instead.

  PHP 4: Active la librairie dbase livrée avec PHP. Aucune librairie supplémentaire n'est nécessaire.

`--with-dbase`

  PHP 3: Active la librairie dbase livrée avec PHP. Aucune librairie supplémentaire n'est nécessaire.

  PHP 4: Option non disponible; utilisez plutôt --enable-dbase instead.

`--with-db2[=DIR]`

  PHP 3, PHP 4: Active le support Berkeley DB2.

`--with-db3[=DIR]`

  PHP 3: Option non disponible en PHP 3

  PHP 4: Active le support Berkeley DB3.

`--with-dbm[=DIR]`

  PHP 3, PHP 4: Active le support DBM.

`--with-dbmaker[=DIR]`

  PHP 3: Option non disponible en PHP 3.

  PHP 4: Inclut le support DBMaker. DIR est le dossier d'installation DBMaker (par défaut, c'est le dossier de la dernière installation DBMaker, comme `/home/dbmaker/3.6`).

`--with-empress[=DIR]`

  PHP 3, PHP 4: Inclut le support Empress. DIR est le dossier d'installation Empress (par défaut, `$EMPRESSPATH`).

`--enable-filepro`

  PHP 3: Option non disponible; utilisez plutôt --with-filepro instead.

  PHP 4: Active la librairie filePro (lecture seule) livrée avec PHP. Aucune librairie supplémentaire n'est nécessaire.

`--with-fbsql[=DIR]`

  PHP 3: Option non disponible.

  PHP 4: Inclut le support de FrontBase SQL. DIR est le chemin jusqu'à l'installation de FrontBase base. Par défaut, c'est le dossier standard d'installation Frontbase. L'installation dépend de votre OS : Solaris: `/opt/FrontBase`, WinNT: `\usr\FrontBase`, Linux: `/usr/frontbase`, Mac OSX: `/Library/FrontBase`.

`--with-filepro`

  PHP 3: Inclut le support IBM DB2. Aucune librairie supplémentaire n'est nécessaire.

  PHP 4: Option non disponible; utilisez plutôt --enable-filepro.

`--with-gdbm[=DIR]`

  PHP 3, PHP 4: Active le support GDBM.

`--with-hyperwave`

  PHP 3, PHP 4: Active le support Hyperwave.

`--with-ibm-db2[=DIR]`

  PHP 3, PHP 4: Inclut le support IBM DB2. DIR est le dossier d'installation de DB2 (par défaut, `/home/db2inst1/sqllib`).

  IBM DB2

`--with-informix[=DIR]`

  PHP 3, PHP 4: Inclut le support Informix. DIR est le dossier d'installation d'Informix (par défaut, aucune valeur).

`--with-ingres[=DIR]`

  PHP 3: Option non disponible en PHP 3

  PHP 4: Inclut le support Ingres II. DIR est le dossier d'installation d'Ingres (par défaut, `/II/ingres`).

`--with-interbase[=DIR]`

  PHP 3, PHP 4: Inclut le support InterBase. DIR est le dossier d'installation d'InterBase (par défaut, `/usr/interbase`).

  Fonctions Interbase

  Interbase

`--with-ldap[=DIR]`

  PHP 3: Inclut le support LDAP. DIR est le dossier d'installation de LDAP (par défaut `/usr` et `/usr/local`).

  PHP 4: Inclut le support LDAP. DIR est le dossier d'installation de LDAP. (par défaut; `/usr/local/ldap`).

  Plus de détails sur LDAP sont disponibles à RFC1777 et RFC1778.

`--with-msql[=DIR]`

  PHP 3, PHP 4: Active le support mSQL. DIR est le dossier d'installation de mSQL (par défaut `/usr` et `/usr/local/Hughes`, pour la version 2.0). configure détecte automatiquement la version de mSQL qui fonctionne. PHP supporte les versions 1.0 et 2.0, mais si vous compilez PHP avec mSQL 1.0, vous ne pourrez accéder qu'à des bases mSQL 1.0, et vice-versa.

  Voir aussi Configuration mSQL dans le fichier de configuration.

  mSQL

`--with-mysql[=DIR]`

  PHP 3: Inclut le support MySQL. DIR est le dossier d'installation de MySQL (par défaut, il cherche dans différents dossiers où MySQL a coutume d'être installé).

  PHP 4: Inclut le support MySQL. DIR est le dossier de l'installation MySQL. S'il est omis, la librairie MySQL livrée en standard avec PHP sera utilisée par défaut.

  Voir aussi Configuration MySQL dans le fichier de configuration.

  MySQL

`--with-ndbm[=DIR]`

  PHP 3, PHP 4: Active le support NDBM.

`--with-ovrimos`

  PHP 3, PHP 4: Inclut le support Ovrimos.

`--with-oci8[=DIR]`

  PHP 3: Option non disponible en PHP 3

  PHP 4: Inclut le support Oracle-oci8. DIR est le dossier d'installation de Oracle-oci8 (par défaut, `ORACLE_HOME`).

`--with-oracle[=DIR]`

  PHP 3: Inclut le support Oracle database. DIR est le dossier d'installation de Oracle (par défaut, `$ORACLE_HOME`).

  PHP 4: Inclut le support Oracle-oci7. DIR est le dossier d'installation de Oracle-oci7 (par défaut, `ORACLE_HOME`).

  Inclut le support Oracle. Ce support a été testé et permet de travailler avec les versions d'Oracle de 7.0 à 7.3. Le paramètre est le dossier `ORACLE_HOME`. Vous n'avez pas à spécifier ce paramètre si votre environnement Oracle a été configuré.

  Oracle

`--with-pgsql[=DIR]`

  PHP 3: Inclut le support PostgresSQL. DIR est le dossier d'installation de PostgresSQL (par défaut, `/usr/local/pgsql`).

  PHP 4: Inclut le support PostgreSQL. DIR est le dossier d'installation de PostgreSQL (par défaut, `/usr/local/pgsql`). Pour compiler en "dl", utilisez la valeur "shared", ou "shared,DIR", pour compiler en "dl", mais spécifier DIR malgré tout.

  Voir aussi Postgres dans le fichier de configuration.

  PostgreSQL

`--with-solid[=DIR]`

  PHP 3, PHP 4: Inclut le support Solid. DIR est le dossier d'installation de Solid (par défaut, `/usr/local/solid`).

  Solid

`--with-sybase-ct[=DIR]`

  PHP 3, PHP 4: Inclut le support Sybase-CT. DIR est le dossier d'installation de Sybase (par défaut, `/home/sybase`).

  Voir aussi Sybase-CT dans le fichier de configuration.

`--with-sybase[=DIR]`

  PHP 3, PHP 4: Inclut le support Sybase-DB. DIR est le dossier d'installation de Sybase (par défaut, `/home/sybase`).

  Voir aussi Sybase dans le fichier de configuration.

  Sybase

`--with-openlink[=DIR]`

  PHP 3, PHP 4: Inclut le support OpenLink ODBC. DIR est le dossier d'installation d'OpenLink (par défaut `/usr/local/openlink`). A partir de PHP 4.0.6, cette option n'est plus valable. Utilisez plutôt `--with-iodbc` si vous voulez utiliser l'ODBC de OpenLink Software.

  OpenLink Software

`--with-iodbc[=DIR]`

  PHP 3, PHP 4: Inclut le support iODBC. DIR est le dossier d'installation d'iODBC (par défaut, `/usr/local`).

  Cette fonctionnalité a d'abord été développée avec le gestionnaire iODBC Driver Manager, un pilote ODBC librement distribuable, qui fonctionne sous divers UNIX.

  FreeODBC ou iODBC

`--with-custom-odbc[=DIR]`

  PHP 3, PHP 4: Inclut le support ODBC, avec une librairie tierce. Le paramètre DIR est le nom du dossier d'installation de cette librairie. Par défaut, il vaut `/usr/local`.

  Cette option implique qus vous avez défini CUSTOM_ODBC_LIBS lorsque vous éxécutez le script de configuration. Vous devez aussi avoir une en-tête `odbc.h` valide dans vos dossiers d'Inclution. Si vous n'en avez pas, créez le, et ajoutez-y vos en-têtes spécifiques. Votre en-tête peut aussi réclamer d'autres définitions, surtout si elle est multi-plate-forme. Définissez les dans CFLAGS.

  Par exemple, vous pouvez utilisez Sybase SQL Anywhere sous QNX comme ceci : `CFLAGS=-DODBC_QNX LDFLAGS=-lunix CUSTOM_ODBC_LIBS="-ldblib -lodbc" ./configure --with-custom-odbc=/usr/lib/sqlany50`

`--disable-unified-odbc`

  PHP 3: Inactive le support unified ODBC. Uniquement valable si iODBC, Adabas, Solid, Velocis ou une interface spéciale ODBC a été activée.

  PHP 4: Option non disponible en PHP 4

  Le module Unified ODBC est commun à toutes les bases de données ODBC, comme par exemple Solid, IBM DB2 et Adabas D. Il fonctionne aussi avec les librairies ODBC normales. Des tests ont été menés avec iODBC, Solid, Adabas D, IBM DB2 et Sybase SQL Anywhere. Il requiert une (et une seule) de ces extensions, ou l'extension Velocis, ou une librairie ODBC spéciale. Cette option n'est possible qu'avec l'utilisation de l'une des options suivantes : --with-iodbc, --with-solid, --with-ibm-db2, --with-adabas, --with-velocis, ou --with-custom-odbc.

  Voir aussi Unified ODBC dans le fichier de configuration.

`--with-unixODBC[=DIR]`

  PHP 3: Option non disponible en PHP 3

  PHP 4: Inclut le support unixODBC. DIR est le dossier d'installation d'unixODBC (par défaut, `/usr/local`).

`--with-velocis[=DIR]`

  PHP 3, PHP 4: Inclus le support Velocis. DIR est le dossier d'installation de Velocis (par défaut, `/usr/local/velocis`).

  Velocis

## E-commerce

`--with-ccvs[=DIR]`

  PHP 3: Option non disponible en PHP 3

  PHP 4: Ajoute le support CCVS. DIR est le dossier d'installation de CCVS.

`--with-cybermut[=DIR]`

  PHP 3: Option non disponible en PHP 3

  PHP 4: Inclut le support de Cybermut pour PHP 4. DIR est le dossier du SDK Cybermut, qui contient les deux fichiers `libcm-mac.a` et `cm-mac.h`.

`--with-mck[=DIR]`

  PHP 3: Inclut le support Cybercash MCK. DIR est le dossier d'installation de cybercash mck (par défaut, `/usr/src/mck-3.2.0.3-linux`). Plus d'aide dans le dossier `extra/cyberlib`.

  PHP 4: Option non disponible; utilisez plutôt --with-cybercash instead.

`--with-cybercash[=DIR]`

  PHP 3: Option non disponible; utilisez plutôt --with-mck instead.

  PHP 4: Inclut le support CyberCash. DIR est le dossier d'installation de CyberCash MCK.

`--with-pfpro[=DIR]`

  PHP 3: Option non disponible en PHP 3

  PHP 4: Active le support Verisign Payflow Pro.

## Images

`--enable-freetype-4bit-antialias-hack`

  PHP 3: Option non disponible en PHP 3

  PHP 4: Inclut le support de FreeType2 (expérimental).

`--with-gd[=DIR]`

  PHP 3: Inclut le support GD. DIR est le dossier d'installation de GD.

  PHP 4: Inclut le support GD. DIR est le dossier d'installation de GD. Pour compiler en "dl", utilisez la valeur "shared", ou "shared,DIR", pour compiler en "dl", mais spécifier DIR malgré tout.

`--without-gd`

  PHP 3, PHP 4: Inactive le support GD .

`--with-imagick[=DIR]`

  PHP 3: Inclut le support ImageMagick. DIR est le dossier d'installation de ImageMagick. S'il est omis, PHP essaiera de le trouver de lui-même (expérimental).

  PHP 4: Option non disponible en PHP 4

`--with-jpeg-dir[=DIR]`

  PHP 3: dossier JPEG pour pdflib 2.0

  PHP 4: dossier JPEG pour pdflib 3.x et 4.x

`--with-png-dir[=DIR]`

  PHP 3: Option non disponible en PHP 3

  PHP 4: dossier PNG pour pdflib 3.x et 4.x

`--enable-t1lib`

  PHP 3: Active le support t1lib.

  PHP 4: Option non disponible; utilisez plutôt --with-t1lib

`--with-t1lib[=DIR]`

  PHP 3: Option non disponible; utilisez plutôt --enable-t1lib.

  PHP 4: Inclut le support T1lib.

`--with-tiff-dir[=DIR]`

  PHP 3: dossier TIFF pour pdflib 2.0

  PHP 4: dossier TIFF pour pdflib 3.x et 4.x

`--with-ttf[=DIR]`

  PHP 3, PHP 4: Active le support FreeType.

`--with-xpm-dir[=DIR]`

  PHP 3: Option non disponible en PHP 3

  PHP 4: dossier XPM pour GD-1.8+

## Divers

Ces options seront classées ultérieurement, lorsqu'une catégorie adéquate apparaîtra.

`--disable-bcmath`

  PHP 3: Inactive la librairie BCmath.

  PHP 4: Option non disponible en PHP 4. La librairie BCmath n'est pas compilée par défaut. Utilisez --enable-bcmath pour l'inclure.

`--with-gmp`

  PHP 3, PHP 4 : Inclut le support GMP.

`--disable-display-source`

  PHP 3: Compile sans afficher le support des sources

  PHP 4: Option non disponible en PHP 4

`--disable-libtool-lock`

  PHP 3: Option non disponible en PHP 3

  PHP 4: Empêche le verrouillage (risque d'empêcher certaines compilations paralléles).

`--disable-pear`

  PHP 3: Option non disponible en PHP 3

  PHP 4: N'installe pas PEAR

`--disable-pic`

  PHP 3: Option non disponible en PHP 3

  PHP 4: Inactive PIC pour les shared objects

`--disable-posix`

  PHP 3: Option non disponible en PHP 3; Utilisez plutôt --without-posix

  PHP 4: Inactive les fonctions POSIX.

`--disable-rpath`

  PHP 3: Option non disponible en PHP 3

  PHP 4: Inactive le passage de chemins supplémentaires pour la recherche de librairie lors de l'exécution.

`--disable-session`

  PHP 3: Option non disponible en PHP 3

  PHP 4: Inactive le support session.

`--enable-bcmath`

  PHP 3: Option non disponible en PHP 3; bcmath est compilée par défaut. Utilisez plutôt --disable-bcmath, pour l'inactiver.

  PHP 4: Active le support de l'extension bc maths. Voir aussi les fonctions BCMath.

`--enable-c9x-inline`

  PHP 3: Option non disponible en PHP 3

  PHP 4: Active les sémantiques C9x-inline

`--enable-calendar`

  PHP 3: Option non disponible en PHP 3

  PHP 4: Active le support des conversions calendaires

`--enable-debug`

  PHP 3, PHP 4: Compile sans les symboles de débuggages

`--enable-debugger`

  PHP 3: Compile avec les fonctions de débuggage à distance

  PHP 4: Option non disponible en PHP 4

`--enable-discard-path`

  PHP 3, PHP 4: Si cette option est activée, le CGI PHP peut être placé hors de l'arborescence web, pour que personne ne puisse l'atteindre, même en contournant les .htaccess.

`--enable-dmalloc`

  PHP 3, PHP 4: Active dmalloc

`--enable-exif`

  PHP 3: Option non disponible en PHP 3

  PHP 4: Active le support exif.

`--enable-experimental-zts`

  PHP 3: Option non disponible en PHP 3

  PHP 4: Cela risque fortement de ne plus compiler du tout!

`--enable-fast-install[=PKGS]`

  PHP 3: Option non disponible en PHP 3

  PHP 4: Optimise pour les installations rapides for fast installation (par défaut, `no`).

`--enable-force-cgi-redirect`

  PHP 3, PHP 4: Active la vérification interne des redirections serveurs. Il est recommandé d'utiliser cette option si vous avez compilé PHP en CGI.

`--enable-inline-optimization`

  PHP 3: Option non disponible en PHP 3

  PHP 4: Si vous avez beaucoup de mémoire disponible et que vous utilisez gcc, essayez donc ça.

`--enable-libgcc`

  PHP 3: Option non disponible en PHP 3

  PHP 4: Active explicitement les liens avec libgcc

`--enable-maintainer-mode`

  PHP 3, PHP 4: Active des règles de make et de dépendances qui sont parfois absconses et ne servent pas aux utilisateurs habituels (Bref, ne l'utilisez pas).

`--enable-memory-limit`

  PHP 3, PHP 4: Compile avec le support de la limitation de mémoire (par défaut, `no`).

`--enable-safe-mode`

  PHP 3, PHP 4: Active le SAFE_MODE (par défaut, `yes`).

`--enable-satellite`

  PHP 3: Option non disponible en PHP 3

  PHP 4: Active le support CORBA via Satellite (Requiert ORBit)

`--enable-shared[=PKGS]`

  PHP 3: Option non disponible en PHP 3

  PHP 4: Compile les librairies partagées (par défaut, `yes`).

`--enable-sigchild`

  PHP 3, PHP 4: Active le gestionnaire SIGCHLD propre à PHP.

`--enable-static[=PKGS]`

  PHP 3: Option non disponible en PHP 3

  PHP 4: Compile les librairies en statique (par défaut, `yes`).

`--enable-sysvsem`

  PHP 3, PHP 4: Active le support des sémaphores System V.

`--enable-sysvshm`

  PHP 3, PHP 4: Active le support de partage de mémoire System V.

`--enable-trans-sid`

  PHP 3: Option non disponible en PHP 3

  PHP 4: Active la propagation transparente des identifiants de session.

`--with-cdb[=DIR]`

  PHP 3, PHP 4: Active le support CDB.

`--with-config-file-path=PATH`

  PHP 3: Indique le chemin dans lequel aller lire le fichier `php3.ini`. Par défaut, c'est `/usr/local/lib`.

  PHP 4: Indique le chemin dans lequel allet lire le fichier `php.ini`. Par défaut, c'est `/usr/local/lib`.

`--with-cpdflib[=DIR]`

  PHP 3: Inclut le support ClibPDF. DIR est le dossier d'installation de ClibPDF (par défaut, `/usr/local`).

  PHP 4: Inclut le support ClibPDF.(requires cpdflib >= 2). DIR est le dossier d'installation de cpdfllib (par défaut, `/usr`).

`--with-esoob[=DIR]`

  PHP 3: Option non disponible en PHP 3

  PHP 4: Inclut le support Easysoft OOB. DIR est le dossier d'installation de OOB (par défaut, `/usr/local/easysoft/oob/client`).

`--with-exec-dir[=DIR]`

  PHP 3, PHP 4: N'autorise que les exécutables placés dans le dossier DIR, lorsque le SAFE MODE est activé (par défaut, c'est `/usr/local/php/bin`).

`--with-fdftk[=DIR]`

  PHP 3, PHP 4: Inclut le support fdftk. DIR est le dossier d'installation de fdftk (par défaut, `/usr/local`).

`--with-gnu-ld`

  PHP 3: Option non disponible en PHP 3

  PHP 4: Suppose que le compilateur C utilise GNU ld (par défaut, `no`).

`--with-icap[=DIR]`

  PHP 3: Option non disponible en PHP 3

  PHP 4: Inclut le support ICAP.

`--with-imap[=DIR]`

  PHP 3, PHP 4: Inclut le support IMAP. DIR est le dossier d'include d'IMAP (et aussi c-client.a).

`--with-imsp[=DIR]`

  PHP 3: Inclut le support IMSP.(DIR est le dossier d'installation IMSP, là où il y a les dossiers d'include et libimsp.a).

  PHP 4: Option non disponible en PHP 4

`--with-java[=DIR]`

  PHP 3: Option non disponible en PHP 3

  PHP 4: Inclut le support Java. DIR est le dossier d'installation du JDK). Cette extension peut uniquement être compilée comme "dl".

`--with-kerberos[=DIR]`

  PHP 3: Option non disponible en PHP 3

  PHP 4: Inclut le support Kerberos dans IMAP.

`--with-mcal[=DIR]`

  PHP 3, PHP 4: Inclut le support MCAL.

`--with-mcrypt[=DIR]`

  PHP 3, PHP 4: Inclut le support mcrypt. DIR est le dossier d'installation de mcrypt.

`--with-mhash[=DIR]`

  PHP 3, PHP 4: Inclut le support mhash. DIR est le dossier d'installation de mhash.

`--with-mm[=DIR]`

  PHP 3: Option non disponible en PHP 3

  PHP 4: Inclut le support mm pour le stockage de session.

`--with-mod_charset`

  PHP 3, PHP 4: Active le transfert des tables depuis le module Apache mod_charset (Rus Apache).

`--with-pdflib[=DIR]`

  PHP 3: Inclut le support pdflib (testé avec 0.6 et 2.0). DIR est le dossier d'installation de pdflib (par défaut, c'est `/usr/local`).

  PHP 4: Inclut le support pdflib 3.x/4.x. DIR est le dossier d'installation de pdflib. Par défaut, c'est `/usr/local`.

  PHP 4 et PDFlib 3.x/4.x requiert les librairies JPEG et TIFF. Lors de la compilation du support PDFlib utilise les options --with-jpeg-dir et --with-tiff-dir. Vous pouvez aussi utiliser --with-png-dir et --with-zlib-dir, pour compiler le support PNG et Zlib avec PDFlib.

`--enable-shared-pdflib`

  PHP 3, PHP 4: Inclut pdflib comme shared librairy.

`--with-readline[=DIR]`

  PHP 3: Option non disponible en PHP 3

  PHP 4: Inclut le support readline. DIR est le dossier d'installation de readline.

`--with-regex=TYPE`

  PHP 3: Option non disponible en PHP 3

  PHP 4: Type de librairie d'expressions régulières : système, apache, php

`--with-servlet[=DIR]`

  PHP 3: Option non disponible en PHP 3

  PHP 4: Inclut le support servlet. DIR est le dossier d'installation de JSDK. Ce SAPI demande que l'extension Java soit compilée comme shared dl.

`--with-ming`

  PHP 3: Option non disponible en PHP 3

  PHP 4: Active le support Flash 4 avec Ming.

`--with-swf[=DIR]`

  PHP 3: Option non disponible en PHP 3

  PHP 4: Active le support SWF.

`--with-system-regex`

  PHP 3: Inactive la librairie d'expressions régulières livrée avec PHP.

  PHP 4: (Obsolète) Utilise la librairie d'expressions régulières système.

`--with-tsrm-pth[=pth-config]`

  PHP 3: Option non disponible en PHP 3

  PHP 4: Utilise GNU Pth.

`--with-tsrm-pthreads`

  PHP 3: Option non disponible en PHP 3

  PHP 4: Utilise les threads POSIX (par défaut).

`--with-x`

  PHP 3: Utilise X Window System

  PHP 4: Option non disponible en PHP 4

`--with-bz2[=DIR]`

  PHP 4: Ajoute le support bzip2. DIR est le dossier d'installation de bzip2.

`--with-zlib-dir[=DIR]`

  PHP 3: Dossier zlib pour pdflib 2.0 ou active le support zlib.

  PHP 4: Dossier zlib pour pdflib 3.x/4.x ou active le support zlib.

`--with-zlib[=DIR]`

  PHP 3, PHP 4: Inclut le support zlib. (requiert zlib >= 1.0.9). DIR est le dossier d'installation de zlib (par défaut, `/usr`).

`--with-zziplib[=DIR]`

  PHP 4: Inclut le support ZZIPlib (requiert ZZIPlib >= 0.10.6). DIR est le dossier d'installation de ZZIPliby (par défaut, `/usr/local`).

  La dernière version de ZZIPlib est disponible à http://zziplib.sourceforge.net/.

`--without-pcre-regex`

  PHP 3: Inactive le support des expressions régulières Perl.

  PHP 4: Inactive le support des expressions régulières Perl. Utilisez --with-pcre-regex=DIR pour spécifier le dossier d'installation de PCRE, si vous n'utilisez pas la librairie livrée en standard.

`--without-posix`

  PHP 3: N'Inclut pas lrs fonctions POSIX.

  PHP 4: Option non disponible en PHP 4; utilisez plutôt --disable-posix.

## Réseau

`--with-curl[=DIR]`

  PHP 3: Option non disponible en PHP 3

  PHP 4: Active le support CURL.

`--enable-ftp`

  PHP 3: Option non disponible; utilisez plutôt --with-ftp

  PHP 4: Active le support FTP.

`--with-ftp`

  PHP 3: Inclut le support FTP.

  PHP 4: Option non disponible; utilisez plutôt --enable-ftp instead

`--disable-url-fopen-wrapper`

  PHP 3, PHP 4: Inactive le support des URL avec fopen().

  Avertissement
  Cette option n'est disponible que jusqu'à la version 4.0.3. Les versions plus récentes fournissent un paramètre dans le fichier `php.ini` appelé `allow_url_fopen`, afin de vous éviter de faire ce choix au moment de la compilation.

`--with-mod-dav=DIR`

  PHP 3, PHP 4: Inclut le support DAV, grâce au module Apache mod_dav. DIR est le dossier d'installation de mod_dav (valable uniquement pour les serveurs Apache).

`--with-openssl[=DIR]`

  PHP 3, PHP 4: Inclut le support OpenSSL avec SNMP.

`--with-snmp[=DIR]`

  PHP 3, PHP 4: Inclut le support SNMP. DIR est le dossier d'installation de SNMP (par défaut, il scanne un nombre de dossiers habituels de l'installation SNMP). Utilisez la valeur de "shared" pour compiler sous forme de "dl", ou "shared,DIR" pour compiler sous forme de "dl" tout en spécifiant un dossier.

`--enable-ucd-snmp-hack`

  PHP 3, PHP 4: Active le hack UCD SNMP

`--enable-sockets`

  PHP 3: Option non disponible en PHP 3

  PHP 4: Active le support des sockets.

`--with-yaz[=DIR]`

  PHP 3: Option non disponible en PHP 3

  PHP 4: Inclut le support YAZ.(ANSI/NISO Z39.50). DIR est le dossier d'installation de YAZ (dossier bin).

`--enable-yp`

  PHP 3: Option non disponible; utilisez plutôt --with-yp

  PHP 4: Active le support YellowPages (YP).

`--with-yp`

  PHP 3: Active le support YellowPages (YP).

  PHP 4: Option non disponible; utilisez plutôt --enable-yp

`--with-mnogosearch`

  PHP 3, PHP 4: Inclut le support mnoGoSearch.

## Comportement PHP

`--enable-magic-quotes`

  PHP 3, PHP 4: Active les magic quotes par défaut.

`--disable-short-tags`

  PHP 3, PHP 4: Désactive la forme courte des balises PHP (<? ?>).

`--enable-track-vars`

  PHP 3: Active le suivi des variables GET/POST/Cookie par défaut.

  PHP 4: Option non disponible en PHP 4; à partir de PHP 4.0.2, cette option est toujours activée.

## Serveur

`--with-aolserver-src=DIR`

  PHP 3: Option non disponible en PHP 3

  PHP 4: Indique le chemin jusqu'à la distribution source de AOLserver

`--with-aolserver=DIR`

  PHP 3: Option non disponible en PHP 3

  PHP 4: Indique le chemin jusqu'à la distribution installée de AOLserver.

`--with-apache[=DIR]`

  PHP 3, PHP 4: Compile PHP en module Apache. DIR est le dossier d'installation supérieur d'Apache (par défaut, `/usr/local/etc/httpd`.

`--with-apxs[=FILE]`

  PHP 3, PHP 4: Compile PHP comme module partagé d'Apache module. FILE est le chemin optionnel jusqu'à Apache apxs tool; par défaut, c'est apxs).

`--enable-versioning`

  PHP 3: Tire profit du système de versionnage et de scoping fourni par Solaris 2.x et Linux

  PHP 4: Exporte uniquement les symboles nécessaires. Voyez l'installation pour plus de détails.

`--with-caudium[=DIR]`

  PHP 3: Option non disponible en PHP 3

  PHP 4: Compile PHP sous forme de module Pike pour être utilisé avec le serveur web Caudium. DIR est le dossier d'installation de Caudium (par défaut, `$prefix/caudium/server`. Le préfixe est paramétré par l'option --prefix (par défaut, `/usr/local`).

`--with-fhttpd[=DIR]`

  PHP 3, PHP 4: Compile PHP comme module fhttpd. DIR est le dossier d'installation de fhttpd (par défaut, `/usr/local/src/fhttpd`).

`--with-nsapi=DIR`

  PHP 3: Option non disponible en PHP 3

  PHP 4: Indique le chemin jusqu'au serveur Netscape

`--with-phttpd=DIR`

  PHP 3: Option non disponible en PHP 3

  PHP 4:

`--with-pi3web=DIR`

  PHP 3: Option non disponible en PHP 3

  PHP 4: Compile PHP comme module pour Pi3Web.

`--with-roxen=DIR`

  PHP 3: Option non disponible en PHP 3

  PHP 4: Compile PHP comme module pour Pi3Web Pike. DIR est le dossier d'installation de Roxen (par défaut, `/usr/local/roxen/server`).

`--enable-roxen-zts`

  PHP 3: Option non disponible en PHP 3

  PHP 4: Compile le module Roxen en utilisant Zend Thread Safety.

`--with-thttpd=SRCDIR`

  PHP 3: Option non disponible en PHP 3

  PHP 4:

`--with-zeus=DIR`

  PHP 3: Option non disponible en PHP 3

  PHP 4: Compile PHP comme module ISAPI pour Zeus.

## Texte et langue

`--with-aspell[=DIR]`

  PHP 3, PHP 4: Inclut le support ASPELL.

`--with-gettext[=DIR]`

  PHP 3, PHP 4: Inclut le support GNU gettext. DIR est le dossier d'installation de gettext (par défaut, `/usr/local`).

`--with-iconv[=DIR]`

  PHP 3: Option non disponible en PHP 3

  PHP 4: Inclut le support iconv.

`--with-pspell[=DIR]`

  PHP 3: Option non disponible en PHP 3

  PHP 4: Inclut le support PSPELL.

`--with-recode[=DIR]`

  PHP 3: Inclut le support GNU recode.

  PHP 4: Inclut le support recode. DIR est le dossier d'installation de recode.

`--enable-shmop`

  PHP 3, PHP 4 : Inclut le support shmop.

## XML

`--with-dom[=DIR]`

  PHP 3: Option non disponible en PHP 3

  PHP 4: Active le support DOM. (requiert libxml >= 2.0). DIR est le dossier d'installation de libxml (par défaut, `/usr`).

`--enable-sablot-errors-descriptive`

  PHP 3: Option non disponible en PHP 3

  PHP 4: Active les erreurs descriptives.

`--with-sablot[=DIR]`

  PHP 3: Option non disponible en PHP 3

  PHP 4: Active le support Sablotron.

`--enable-wddx`

  PHP 3: Option non disponible en PHP 3

  PHP 4: Active le support WDDX.

`--disable-xml`

  PHP 3: Option non disponible en PHP 3; Les fonctions XML ne sont pas construites par défaut. Utilisez plutôt --with-xml pour les activer.

  PHP 4: Inactive le support XML, qui utilise la librairie expat, livrée avec PHP.

`--with-xml`

  PHP 3: Active le support XML.

  PHP 4: Option non disponible en PHP 4; Le support XML est activé par défaut. Utilisez plutôt --disable-xml pour l'inactiver.

Précédent | Sommaire | Suivant
Installation sous Mac OS X | Niveau supérieur | Installation sous Windows